|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionSpinBox Class Reference

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box. More...

    #include <QStyleOptionSpinBox>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Functions

- QStyleOptionSpinBox ()
- QStyleOptionSpinBox ( const QStyleOptionSpinBox & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QAbstractSpinBox::ButtonSymbols buttonSymbols
- bool frame
- QAbstractSpinBox::StepEnabled stepEnabled

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOptionComplex
- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box.

The QStyleOptionSpinBox is used for drawing QSpinBox and QDateTimeEdit.

## Member Function Documentation

### QStyleOptionSpinBox::QStyleOptionSpinBox ()

Constructs a QStyleOptionSpinBox. The members variables are initialized to default values.

### QStyleOptionSpinBox::QStyleOptionSpinBox ( const QStyleOptionSpinBox & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionSpinBox::Type

Equals SO_SpinBox.

### const int QStyleOptionSpinBox::Version

Equals 1.

### QAbstractSpinBox::ButtonSymbols QStyleOptionSpinBox::buttonSymbols

This variable holds the type of button symbols to draw for the spin box.

See also QAbstractSpinBox::ButtonSymbols.

### bool QStyleOptionSpinBox::frame

This variable holds indicates whether whether the spin box has a frame.

### QAbstractSpinBox::StepEnabled QStyleOptionSpinBox::stepEnabled

This variable holds indicates which buttons of the spin box are enabled.

See also QAbstractSpinBox::StepEnabled.